Skip to main content
POST
Assign floating IP

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

floating_ip_id
string<uuid4>
required

Floating IP ID

Example:

"c64e5db1-5f1f-43ec-a8d9-5090df85b82d"

Body

application/json
port_id
string<uuid4>
required

Port ID

Example:

"ee2402d0-f0cd-4503-9b75-69be1d11c5f1"

fixed_ip_address
string<ipvanyaddress> | null

Fixed IP address

Example:

"192.168.10.15"

Response

200 - application/json

OK

created_at
string<date-time>
required

Datetime when the floating IP was created

Example:

"2019-06-13T13:58:12+0000"

creator_task_id
string<uuid4> | null
required

Task that created this entity

Example:

"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"

fixed_ip_address
string<ipvanyaddress> | null
required

IP address of the port the floating IP is attached to

Example:

"192.168.10.15"

floating_ip_address
string<ipvanyaddress> | null
required

IP Address of the floating IP

Example:

"172.24.4.34"

id
string<uuid4>
required

Floating IP ID

Example:

"c64e5db1-5f1f-43ec-a8d9-5090df85b82d"

port_id
string<uuid4> | null
required

Port ID the floating IP is attached to. The fixed_ip_address is the IP address of the port.

Example:

"ee2402d0-f0cd-4503-9b75-69be1d11c5f1"

project_id
integer
required

Project ID

Example:

1337

region
string
required

Region name

Example:

"Luxembourg 1"

region_id
integer
required

Region ID

Example:

7

router_id
string<uuid4> | null
required

Router ID

Example:

"11005a33-c5ac-4c96-ab6f-8f2827cc7da6"

status
enum<string> | null
required

Floating IP status. DOWN - unassigned (available). ACTIVE - attached to a port (in use). ERROR - error state.

Available options:
ACTIVE,
DOWN,
ERROR
Example:

"ACTIVE"

tags
TagSerializer · object[]
required

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
task_id
string<uuid4> | null
required

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

Example:

"a4eb4b29-048e-42f6-a5e1-2c18bc001c45"

updated_at
string<date-time>
required

Datetime when the floating IP was last updated

Example:

"2019-06-13T13:58:12+0000"